Bug 851398 - The output of cmd "subscription-manager facts" and "subscription-manager facts --list" should be same
The output of cmd "subscription-manager facts" and "subscription-manager fact...
Status: CLOSED DUPLICATE of bug 838123
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
Entitlement Bugs
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-08-24 00:47 EDT by xingge
Modified: 2016-09-19 22:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 16:52:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
facts --list output when system is registered (2.92 KB, application/octet-stream)
2012-08-24 02:01 EDT, xingge
no flags Details
facts --list output when system is unregistered (2.83 KB, application/octet-stream)
2012-08-24 02:02 EDT, xingge
no flags Details
facts output when system is registered (2.92 KB, application/octet-stream)
2012-08-24 02:03 EDT, xingge
no flags Details
facts output when system is unregistered (2.83 KB, application/octet-stream)
2012-08-24 02:03 EDT, xingge
no flags Details

  None (edit)
Description xingge 2012-08-24 00:47:13 EDT
Description of problem:
There is a difference between the output of cmd "subscription-manager facts" and
"subscription-manager facts --list" no matter the system is registered or not.

Version-Release number of selected component (if applicable):
subscription-manager-firstboot-1.0.14-1.el5
subscription-manager-gui-1.0.14-1.el5
subscription-manager-1.0.14-1.el5
python-rhsm-1.0.5-1.el5

How reproducible:
always

Steps to Reproduce:
1.run command below:
#subscription-manager facts

2.run command below:
#subscription-manager facts --list

3.compare the output of above 2 commands

Actual results:
1.after above step 3, find a difference:
the item 'net.interface.sit0.mac_address' is different between the output of step 2 and step 3 as below:
When the system is not registered:
the output of step 2 is:
  net.interface.sit0.mac_address: 00:00:00:00:21:01 
the output of step 3 is: 
  net.interface.sit0.mac_address: 00:00:00:00:31:01

When the system is registered:
the output of step 2 is:
  net.interface.sit0.mac_address: 00:00:00:00:00:00 
the output of step 3 is: 
  net.interface.sit0.mac_address: 00:00:00:00:21:00

Expected results:
no different between the output of step 2 and step 3 no matter the system is registered or not.

Additional info:
Comment 1 xingge 2012-08-24 02:01:13 EDT
Created attachment 606762 [details]
facts --list output when system is registered
Comment 2 xingge 2012-08-24 02:02:41 EDT
Created attachment 606763 [details]
facts --list output when system is unregistered
Comment 3 xingge 2012-08-24 02:03:10 EDT
Created attachment 606764 [details]
facts output when system is registered
Comment 4 xingge 2012-08-24 02:03:42 EDT
Created attachment 606765 [details]
facts output when system is unregistered

Note You need to log in before you can comment on or make changes to this bug.